<?php



$tdatadbw_cminggf = array();
$tdatadbw_cminggf[".searchableFields"] = array();
$tdatadbw_cminggf[".ShortName"] = "dbw_cminggf";
$tdatadbw_cminggf[".OwnerID"] = "";
$tdatadbw_cminggf[".OriginalTable"] = "tb_varggf";


$tdatadbw_cminggf[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatadbw_cminggf[".originalPagesByType"] = $tdatadbw_cminggf[".pagesByType"];
$tdatadbw_cminggf[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatadbw_cminggf[".originalPages"] = $tdatadbw_cminggf[".pages"];
$tdatadbw_cminggf[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\"}" );
$tdatadbw_cminggf[".originalDefaultPages"] = $tdatadbw_cminggf[".defaultPages"];

//	field labels
$fieldLabelsdbw_cminggf = array();
$fieldToolTipsdbw_cminggf = array();
$pageTitlesdbw_cminggf = array();
$placeHoldersdbw_cminggf = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"] = array();
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"] = array();
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"] = array();
	$pageTitlesdbw_cminggf["Portuguese(Brazil)"] = array();
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"]["varggfID"] = "Varggf ID";
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]["varggfID"] = "";
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"]["varggfID"] = "";
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"]["variavel"] = "Variavel";
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]["variavel"] = "";
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"]["variavel"] = "";
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"]["Desp_projetada"] = "Desp Projetada";
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]["Desp_projetada"] = "";
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"]["Desp_projetada"] = "";
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]["data"] = "";
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"]["vigente"] = "Vigente";
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]["vigente"] = "";
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"]["vigente"] = "";
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"]["dias_mes"] = "Dias Mes";
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]["dias_mes"] = "";
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"]["dias_mes"] = "";
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"]["hrs_dia"] = "Hrs Dia";
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]["hrs_dia"] = "";
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"]["hrs_dia"] = "";
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"]["CMGGF"] = "CMGGF";
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]["CMGGF"] = "";
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"]["CMGGF"] = "";
	$fieldLabelsdbw_cminggf["Portuguese(Brazil)"]["vigente1"] = "Vigente1";
	$fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]["vigente1"] = "";
	$placeHoldersdbw_cminggf["Portuguese(Brazil)"]["vigente1"] = "";
	if (count($fieldToolTipsdbw_cminggf["Portuguese(Brazil)"]))
		$tdatadbw_cminggf[".isUseToolTips"] = true;
}


	$tdatadbw_cminggf[".NCSearch"] = true;


	$tdatadbw_cminggf[".scrollGridBody"] = true;

$tdatadbw_cminggf[".shortTableName"] = "dbw_cminggf";
$tdatadbw_cminggf[".nSecOptions"] = 0;

$tdatadbw_cminggf[".mainTableOwnerID"] = "";
$tdatadbw_cminggf[".entityType"] = 1;

$tdatadbw_cminggf[".strOriginalTableName"] = "tb_varggf";

	



$tdatadbw_cminggf[".showAddInPopup"] = false;

$tdatadbw_cminggf[".showEditInPopup"] = false;

$tdatadbw_cminggf[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadbw_cminggf[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadbw_cminggf[".listAjax"] = false;
//	temporary
$tdatadbw_cminggf[".listAjax"] = false;

	$tdatadbw_cminggf[".audit"] = false;

	$tdatadbw_cminggf[".locking"] = false;


$pages = $tdatadbw_cminggf[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadbw_cminggf[".edit"] = true;
	$tdatadbw_cminggf[".afterEditAction"] = 0;
	$tdatadbw_cminggf[".closePopupAfterEdit"] = 1;
	$tdatadbw_cminggf[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadbw_cminggf[".add"] = true;
$tdatadbw_cminggf[".afterAddAction"] = 0;
$tdatadbw_cminggf[".closePopupAfterAdd"] = 1;
$tdatadbw_cminggf[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadbw_cminggf[".list"] = true;
}



$tdatadbw_cminggf[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadbw_cminggf[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadbw_cminggf[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadbw_cminggf[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadbw_cminggf[".printFriendly"] = true;
}



$tdatadbw_cminggf[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadbw_cminggf[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadbw_cminggf[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadbw_cminggf[".isUseAjaxSuggest"] = true;

$tdatadbw_cminggf[".rowHighlite"] = true;





$tdatadbw_cminggf[".ajaxCodeSnippetAdded"] = false;

$tdatadbw_cminggf[".buttonsAdded"] = false;

$tdatadbw_cminggf[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadbw_cminggf[".isUseTimeForSearch"] = false;


$tdatadbw_cminggf[".badgeColor"] = "008B8B";


$tdatadbw_cminggf[".allSearchFields"] = array();
$tdatadbw_cminggf[".filterFields"] = array();
$tdatadbw_cminggf[".requiredSearchFields"] = array();

$tdatadbw_cminggf[".googleLikeFields"] = array();
$tdatadbw_cminggf[".googleLikeFields"][] = "varggfID";
$tdatadbw_cminggf[".googleLikeFields"][] = "variavel";
$tdatadbw_cminggf[".googleLikeFields"][] = "Desp_projetada";
$tdatadbw_cminggf[".googleLikeFields"][] = "data";
$tdatadbw_cminggf[".googleLikeFields"][] = "vigente";
$tdatadbw_cminggf[".googleLikeFields"][] = "dias_mes";
$tdatadbw_cminggf[".googleLikeFields"][] = "hrs_dia";
$tdatadbw_cminggf[".googleLikeFields"][] = "CMGGF";
$tdatadbw_cminggf[".googleLikeFields"][] = "vigente1";



$tdatadbw_cminggf[".tableType"] = "list";

$tdatadbw_cminggf[".printerPageOrientation"] = 0;
$tdatadbw_cminggf[".nPrinterPageScale"] = 100;

$tdatadbw_cminggf[".nPrinterSplitRecords"] = 40;

$tdatadbw_cminggf[".geocodingEnabled"] = false;










$tdatadbw_cminggf[".pageSize"] = 20;

$tdatadbw_cminggf[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadbw_cminggf[".strOrderBy"] = $tstrOrderBy;

$tdatadbw_cminggf[".orderindexes"] = array();

$tdatadbw_cminggf[".sqlHead"] = "SELECT tb_varggf.varggfID,  tb_varggf.variavel,  SUM(tb_varggf.projecao) AS Desp_projetada,  tb_varggf.`data`,  tb_varggf.vigente,  tb_mintrabalhados.dias_mes,  tb_mintrabalhados.hrs_dia,  SUM((tb_varggf.projecao/ (tb_mintrabalhados.dias_mes*(tb_mintrabalhados.hrs_dia*60)))) AS CMGGF,  tb_mintrabalhados.vigente AS vigente1";
$tdatadbw_cminggf[".sqlFrom"] = "FROM tb_varggf  , tb_mintrabalhados";
$tdatadbw_cminggf[".sqlWhereExpr"] = "(tb_varggf.vigente =1) AND (tb_mintrabalhados.vigente =1)";
$tdatadbw_cminggf[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadbw_cminggf[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadbw_cminggf[".arrGroupsPerPage"] = $arrGPP;

$tdatadbw_cminggf[".highlightSearchResults"] = true;

$tableKeysdbw_cminggf = array();
$tableKeysdbw_cminggf[] = "varggfID";
$tdatadbw_cminggf[".Keys"] = $tableKeysdbw_cminggf;


$tdatadbw_cminggf[".hideMobileList"] = array();




//	varggfID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "varggfID";
	$fdata["GoodName"] = "varggfID";
	$fdata["ownerTable"] = "tb_varggf";
	$fdata["Label"] = GetFieldLabel("dbw_cminggf","varggfID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "varggfID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_varggf.varggfID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_cminggf["varggfID"] = $fdata;
		$tdatadbw_cminggf[".searchableFields"][] = "varggfID";
//	variavel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "variavel";
	$fdata["GoodName"] = "variavel";
	$fdata["ownerTable"] = "tb_varggf";
	$fdata["Label"] = GetFieldLabel("dbw_cminggf","variavel");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "variavel";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_varggf.variavel";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_cminggf["variavel"] = $fdata;
		$tdatadbw_cminggf[".searchableFields"][] = "variavel";
//	Desp_projetada
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Desp_projetada";
	$fdata["GoodName"] = "Desp_projetada";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dbw_cminggf","Desp_projetada");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Desp_projetada";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(tb_varggf.projecao)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_cminggf["Desp_projetada"] = $fdata;
		$tdatadbw_cminggf[".searchableFields"][] = "Desp_projetada";
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "tb_varggf";
	$fdata["Label"] = GetFieldLabel("dbw_cminggf","data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_varggf.`data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_cminggf["data"] = $fdata;
		$tdatadbw_cminggf[".searchableFields"][] = "data";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_varggf";
	$fdata["Label"] = GetFieldLabel("dbw_cminggf","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_varggf.vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_cminggf["vigente"] = $fdata;
		$tdatadbw_cminggf[".searchableFields"][] = "vigente";
//	dias_mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "dias_mes";
	$fdata["GoodName"] = "dias_mes";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("dbw_cminggf","dias_mes");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dias_mes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_mintrabalhados.dias_mes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_cminggf["dias_mes"] = $fdata;
		$tdatadbw_cminggf[".searchableFields"][] = "dias_mes";
//	hrs_dia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "hrs_dia";
	$fdata["GoodName"] = "hrs_dia";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("dbw_cminggf","hrs_dia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "hrs_dia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_mintrabalhados.hrs_dia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_cminggf["hrs_dia"] = $fdata;
		$tdatadbw_cminggf[".searchableFields"][] = "hrs_dia";
//	CMGGF
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "CMGGF";
	$fdata["GoodName"] = "CMGGF";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dbw_cminggf","CMGGF");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "CMGGF";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM((tb_varggf.projecao/ (tb_mintrabalhados.dias_mes*(tb_mintrabalhados.hrs_dia*60))))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_cminggf["CMGGF"] = $fdata;
		$tdatadbw_cminggf[".searchableFields"][] = "CMGGF";
//	vigente1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "vigente1";
	$fdata["GoodName"] = "vigente1";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("dbw_cminggf","vigente1");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_mintrabalhados.vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_cminggf["vigente1"] = $fdata;
		$tdatadbw_cminggf[".searchableFields"][] = "vigente1";


$tables_data["dbw_cminggf"]=&$tdatadbw_cminggf;
$field_labels["dbw_cminggf"] = &$fieldLabelsdbw_cminggf;
$fieldToolTips["dbw_cminggf"] = &$fieldToolTipsdbw_cminggf;
$placeHolders["dbw_cminggf"] = &$placeHoldersdbw_cminggf;
$page_titles["dbw_cminggf"] = &$pageTitlesdbw_cminggf;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["dbw_cminggf"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["dbw_cminggf"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_dbw_cminggf()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "tb_varggf.varggfID,  tb_varggf.variavel,  SUM(tb_varggf.projecao) AS Desp_projetada,  tb_varggf.`data`,  tb_varggf.vigente,  tb_mintrabalhados.dias_mes,  tb_mintrabalhados.hrs_dia,  SUM((tb_varggf.projecao/ (tb_mintrabalhados.dias_mes*(tb_mintrabalhados.hrs_dia*60)))) AS CMGGF,  tb_mintrabalhados.vigente AS vigente1";
$proto0["m_strFrom"] = "FROM tb_varggf  , tb_mintrabalhados";
$proto0["m_strWhere"] = "(tb_varggf.vigente =1) AND (tb_mintrabalhados.vigente =1)";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "(tb_varggf.vigente =1) AND (tb_mintrabalhados.vigente =1)";
$proto2["m_uniontype"] = "SQLL_AND";
	$obj = new SQLNonParsed(array(
	"m_sql" => "(tb_varggf.vigente =1) AND (tb_mintrabalhados.vigente =1)"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
						$proto4=array();
$proto4["m_sql"] = "tb_varggf.vigente =1";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "dbw_cminggf"
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "=1";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = true;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

			$proto2["m_contained"][]=$obj;
						$proto6=array();
$proto6["m_sql"] = "tb_mintrabalhados.vigente =1";
$proto6["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "dbw_cminggf"
));

$proto6["m_column"]=$obj;
$proto6["m_contained"] = array();
$proto6["m_strCase"] = "=1";
$proto6["m_havingmode"] = false;
$proto6["m_inBrackets"] = true;
$proto6["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto6);

			$proto2["m_contained"][]=$obj;
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto8=array();
$proto8["m_sql"] = "";
$proto8["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto8["m_column"]=$obj;
$proto8["m_contained"] = array();
$proto8["m_strCase"] = "";
$proto8["m_havingmode"] = false;
$proto8["m_inBrackets"] = false;
$proto8["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto8);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "varggfID",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "dbw_cminggf"
));

$proto10["m_sql"] = "tb_varggf.varggfID";
$proto10["m_srcTableName"] = "dbw_cminggf";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "variavel",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "dbw_cminggf"
));

$proto12["m_sql"] = "tb_varggf.variavel";
$proto12["m_srcTableName"] = "dbw_cminggf";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$proto15=array();
$proto15["m_functiontype"] = "SQLF_SUM";
$proto15["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "projecao",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "dbw_cminggf"
));

$proto15["m_arguments"][]=$obj;
$proto15["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto15);

$proto14["m_sql"] = "SUM(tb_varggf.projecao)";
$proto14["m_srcTableName"] = "dbw_cminggf";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "Desp_projetada";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "dbw_cminggf"
));

$proto17["m_sql"] = "tb_varggf.`data`";
$proto17["m_srcTableName"] = "dbw_cminggf";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "dbw_cminggf"
));

$proto19["m_sql"] = "tb_varggf.vigente";
$proto19["m_srcTableName"] = "dbw_cminggf";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "dias_mes",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "dbw_cminggf"
));

$proto21["m_sql"] = "tb_mintrabalhados.dias_mes";
$proto21["m_srcTableName"] = "dbw_cminggf";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "hrs_dia",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "dbw_cminggf"
));

$proto23["m_sql"] = "tb_mintrabalhados.hrs_dia";
$proto23["m_srcTableName"] = "dbw_cminggf";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$proto26=array();
$proto26["m_functiontype"] = "SQLF_SUM";
$proto26["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "(tb_varggf.projecao/ (tb_mintrabalhados.dias_mes*(tb_mintrabalhados.hrs_dia*60)))"
));

$proto26["m_arguments"][]=$obj;
$proto26["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto26);

$proto25["m_sql"] = "SUM((tb_varggf.projecao/ (tb_mintrabalhados.dias_mes*(tb_mintrabalhados.hrs_dia*60))))";
$proto25["m_srcTableName"] = "dbw_cminggf";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "CMGGF";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "dbw_cminggf"
));

$proto28["m_sql"] = "tb_mintrabalhados.vigente";
$proto28["m_srcTableName"] = "dbw_cminggf";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "vigente1";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto30=array();
$proto30["m_link"] = "SQLL_MAIN";
			$proto31=array();
$proto31["m_strName"] = "tb_varggf";
$proto31["m_srcTableName"] = "dbw_cminggf";
$proto31["m_columns"] = array();
$proto31["m_columns"][] = "varggfID";
$proto31["m_columns"][] = "variavel";
$proto31["m_columns"][] = "projecao";
$proto31["m_columns"][] = "data";
$proto31["m_columns"][] = "vigente";
$obj = new SQLTable($proto31);

$proto30["m_table"] = $obj;
$proto30["m_sql"] = "tb_varggf";
$proto30["m_alias"] = "";
$proto30["m_srcTableName"] = "dbw_cminggf";
$proto32=array();
$proto32["m_sql"] = "";
$proto32["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto32["m_column"]=$obj;
$proto32["m_contained"] = array();
$proto32["m_strCase"] = "";
$proto32["m_havingmode"] = false;
$proto32["m_inBrackets"] = false;
$proto32["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto32);

$proto30["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto30);

$proto0["m_fromlist"][]=$obj;
												$proto34=array();
$proto34["m_link"] = "SQLL_CROSSJOIN";
			$proto35=array();
$proto35["m_strName"] = "tb_mintrabalhados";
$proto35["m_srcTableName"] = "dbw_cminggf";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "mintrabID";
$proto35["m_columns"][] = "dias_mes";
$proto35["m_columns"][] = "hrs_dia";
$proto35["m_columns"][] = "vigente";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "tb_mintrabalhados";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "dbw_cminggf";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="dbw_cminggf";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_dbw_cminggf = createSqlQuery_dbw_cminggf();


	
		;

									

$tdatadbw_cminggf[".sqlquery"] = $queryData_dbw_cminggf;

$tableEvents["dbw_cminggf"] = new eventsBase;
$tdatadbw_cminggf[".hasEvents"] = false;

?>